# Function createSerialOperation

- createSerialOperation<TSerialOperationType, TTable>(params): SerialOperation<TSerialOperationType, TTable>

- #### Type Parameters

  - TSerialOperationType extends SerialOperationType
  - TTable extends "links" | "can" | "tree" | "selectors" | "numbers" | "strings" | "objects" | "handlers"

  #### Parameters

  - params: {
    table: TTable;
    type: TSerialOperationType;
    } & SerialOperationDetails<TSerialOperationType, TTable>

  #### Returns SerialOperation<TSerialOperationType, TTable>

  - Defined in work/deeplinks/deeplinks/imports/gql/serial.ts:54